https://www.curseforge.com/wow/addons/gladiatorlossa2
https://github.com/Rhykes/GladiatorlosSA2
===========================================
GSA uses the following version number scheme: X.Y.Z (ex: 3.7.2)
X - Increments following significant code rewrites or major spell library updates. This usually happens with a new expansion.
Y - Increments with any significant code rewrite that includes major bug fixes or features, or any update that adds new sound files.
Z - Increments with any update that does not follow the above, such as minor bug fixes, new spells using sounds already in the library, etc.
If you maintain forks or translations of GSA2, any X or Y increment may require your attention.

Note: I do NOT support ANY version of GSA2 outside of the latest Retail/BCC Live or PTR/Beta versions.
Please do not ask me for help with Vanilla Classic or private server versions. I will not help you.
===========================================
- version 3.9.1 (9.1)

Priest
* Removed Surrender to Madness Down. RIP the RIP sound.

Shaman
* Fixed Static Field Totem's missing spell option.
* Fixed Static Field Totem's incorrect spell ID.
* Don't drink and code, kids.

===========================================
- version 3.9 (9.1)

Death Knight
* Unholy Assault now has its own alert separate from Rune Weapons.

Druid
* Added Emerald Slumber to Cast Start.
* Added Grove Protection to Cast Success.

Hunter
* Added Consecutive Concussion's stun to a friendly check in Buff Applied.
* Added Bestial Wrath to Cast Success.
* Added Chimaeral Sting to Cast Success.
* Added Mend Pet to Cast Success.
* Added Wild Kingdom to Cast Success.
* Moved Spider Sting alert from Cast Success to a friendly check in Buff Applied.

Mage
* Added Arcanosphere to Cast Start.
* Added Ice Wall to Cast Start.
* Added Ring of Fire to Cast Start.

Monk
* Added Dematerialize to Buff Applied.

Priest
* Added Power Infusion (Down) to Buff Down.

Rogue
* Added Shiv to Cast Success.
* Added Veil of Midnight (+Down) to Buff Applied/Down.
* Removed Plunder Armor (no longer exists).

Shaman
* Added Doom Winds (+Down) to Buff Applied/Down.
* Added Unleash Shield: Water to Cast Success.
* Added Unleash Shield: Earth to Cast Success
* Added Static Field Totem to Cast Success.

Warlock
* Added Amplify Curse to Cast Success.
* Added Fel Obelisk to Cast Success.
* Added Shadow Rift to Cast Success.
* Added Bonds of Fel to Cast Start.
* Added Soul Fire to Cast Start.

===========================================
- version 3.8.1 (9.0.5)

Monk
* Added missing option for Transcendance.

===========================================
- version 3.8 (9.0.5)

General
* Added info regarding GSA2's version numbering system and my stance on supporting other versions of the addon to top of the Changelog file.
* Fixed tooltips not providing all relevant spell info (still have no idea how to fix the weird floating issue but it doesn't really matter).

Druid
* Added Nature's Swiftness to Aura Applied/Down.
* Added Swiftmend to Cast Success.

Hunter
* Added Explosive Shot to Cast Success.

===========================================
- version 3.7.1 (9.0.5)

General
* Alerts from all other targets are filtered out during Duels. (Thanks, Gnulkion-Illidan!)

Paladin
* Fixed talented Hand of Freedom for ret paladins.

===========================================
- version 3.7 (9.0.5)

General
* Added Ascendant Phial (Kleia Soulbind Bleed/Poison/Curse/whatever else immunity) to Buff Applied/Down.
* Removed unused option for Soulshape Down in Buff Down.

Death Knight
* Added the stun from Dead of Winter to Buff Applied.

Druid
* Added Frenzied Regeneration to Buff Applied.

Mage
* Moved Shifting Power (Night Fae) from Cast Start to Cast Success (it should work now).

Monk
* Added Transcendence to Cast Success, so you can be more aware of when and where they replace their transfer location.

Priest
* Added Mind Games to "Connected!" alert.
* Added Symbol of Hope to Cast Success.

Shaman
* Added Elemental Blast to Cast Start, in case you REALLY wanted to punish someone playing it.

Warlock
* Added Demonic Circle to Cast Success, so you can be more aware of when and where they replace their teleport location.
* Added Drain Life to Cast Success.
* Fixed Unstable Affliction's spell ID.

Localization
* Corrected many English strings to reflect recent changes.

===========================================
- version 3.6 (9.0.5)

General
* Added Gladiator's Emblem (Battlemaster) to Buff Applied/Down

===========================================
- version 3.5 (9.0.5)

General
* Added "Ultimate Form" (Necrolord Fleshcraft Soulbind) to Buff Applied/Down.

===========================================
- version 3.4 (9.0.5)

Priest
* Added Spirit Shell to Cast Success.

Warrior
* Added Intervene to Buff Applied/Removed.

===========================================
- version 3.3 (9.0.2)

General
* Added Forgeborne Reveries (Necrolord Cheat Death) to Buff Applied.

Hunter
* Added Double Tap to Buff Applied.
* Fixed actual Marksman Trueshot not alerting with the hunter "Trueshot" alerts. The irony!

Shaman
* Added missing option for Primordial Wave.

Warlock
* Dark Souls' setting is no longer incorrectly is displayed as Soul Harvest in Buff Applied.

===========================================
- version 3.2 (9.0.2)

General
* Fleshcraft Down removed to prevent spam while damaging the casting target.

Demon Hunter
* Moved The Hunt from Cast Success to Cast Start.

Shaman
* Added Windfury Totem to Cast Success.

Warrior
* Added Colossus Smash and Warbreaker (Colossus Smash replacement talent) to Cast Success.
===========================================
- version 3.1.2 (9.0.2)

General
* Updated Target/Focus tooltip to make it less misleading.

Druid
* Fixed missing Convoke the Spirits option (Cast Success).

Mage
* Fixed Alter Time for Frost and Fire mages.

Warlock
* Added Deathbolt to Spell Casting.
* Added Rapid Contagion to Cast Success.

Warrior
* Added Overwatch (PvP talent that grants Intervene targets Spell Reflection) to the Spell Reflection alert.

===========================================
- version 3.1 (9.0)

I wanted to take a quick moment to thank you all for your support since I took over GSA way back at the beginning
of Legion! Your continued feedback, bug reports, and use of the mod has kept me motivated to keep up with it through
WoW's ups and downs. I sincerely hope that this mod has provided an accessibility boost to capable players who just
needed a little more to keep up with the ebb and flow of PvP combat, and that your ratings continue to climb.

Per the request of some users, I have added a completely optional donation button on the project's CurseForge page.
Please feel no pressure to chip in; and don't worry, no mention of it will ever be found in-game.

General
* Added sound for Fleshcraft (Down).
* Updated the Purge description to include Tranquilizing Shot.
* Removed Gladiator's Maledict.

Death Knight
* Changed alert for Abomination Limb.
* Added sound for Abomination Limb (Down).
* Added sound for Lichborne (+Down).
* Added sound for Raise Abomination.
* Added sound for Transfusion (+Down).

Druid
* Added sound for Heart of the Wild (+Down)
* Removed Ravenous Frenzy from Buff Down.

Hunter
* Added sound for Hunter's Mark.
* Added sound for Scare Beast.

Mage
* Added Frost Nova to Cast Success.
* Added sound for Alter Time (+Down).
* Added sound for Mirror Image.

Monk
* Added sound for Invoke Yu'lon, the Jade Serpent.

Paladin
* Changed Ultimate Sacrifice alert from "Divine Sacrifice" to "Ultimate Sacrifice".

Priest
* Changed Shadow Word: Death alert from "Premonition" to "Death".

Rogue
* Added sound for Crimson Vial.

Shaman
* Added sound for Mana Tide Totem.

Warlock
* Added sound for Dark Pact.

Warrior
* Added Shattering Throw's completion to Cast Success (off by default).

===========================================
- version 3.0.1 (9.0)

General
* Alerts are now disabled completely in Sanctuary zones. No more Soul Shape! Soul Shape! Soul Shape! Soul Shape!
* Shadowlands Medallion trinkets should now function properly with the Class Alert feature for arenas.
* Adaptation alerts have been fixed.

===========================================
- version 3.0 (9.0)

General
* Fixed Purify Soul alert (Kyrian signature).
* Removed Gladiator's Maledict (no longer seems to exist).

Death Knight
* Added Death's Due (Night Fae) to Cast Success.
* Added Shackle the Unworthy (Kyrian) to Cast Success.
* Added Swarming Mist (Venthyr) to Aura Applied.

Demon Hunter
* Added Fodder to the Flame (Necrolord) to Cast Success.

Druid
* Added the 3 Kindred buffs (Kyrian) to Cast Success.
* Added Ravenous Frenzy (Venthyr) to Aura Applied.

Hunter
* Added Flayed Shot (Venthyr) to Cast Success.
* Added Wild Spirits (Nightfae) to Cast Success.

Mage
* Added Radiant Spark (Kyrian) to Spell Casting.
* Added Shifting Power (Nightfae) to Spell Casting).

Monk
* Added Faeline Stomp (Nightfae) to Cast Success.
* Added Fallen Order (Venthyr) to Cast Success.

Paladin
* Added Divine Toll (Kyrian) to Cast Success.

Priest
* Added Mindgames (Venthyr) to Spell Casting.
* Added Unholy Nova (Necrolord) to Cast Success.

Rogue
* Added Echoing Reprimand (Kyriand) to Cast Success.
* Added Flagellation (Venthyr) to Cast Success.
* Added Serrated Bone Spike (Necrolord) to Cast Success.
* Fixed a missing comma that broke a few spells.
* Removed Stormkeeper from rogues, apparently.
* Don't drink and code, kids.

Shaman
* Added Chain Harvest (Venthyr) to Spell Casting.
* Added Echoing Shock to Cast Success.
* Added Fae Transfusion (Nightfae) to Spell Casting.
* Added Primordial Wave (Necrolord) to Cast Success.

Warlock
* Added Impending Catastrophe (Venthyr) to Cast Success.
* Added Phantom Singularity to Cast Success.

Warrior
* Added Conqueror Banner (Necrolord) to Cast Success.
* Added Shattering Throw to Spell Casting.
* Added Spear of Bastion (Kyrian) to Cast Success.

===========================================
- version SLB 3 (9.0)
***THIS IS A WORK IN PROGRESS BETA BUILD. EXPECT (BUT PLEASE REPORT) PROBLEMS***

General
* Some changes documented in SLB 2 are actually in SLB 3. Weird things happened.
* Imported many alert sounds given to me (thanks n30exca_ !) though they may not all be properly hooked up yet. Some are subject to change.

Death Knight
* Fixed missing option for Frostwyrm's Fury in Cast Success.

Monk
* Added Bonedust Brew (Necrolord) to Cast Success.

Paladin
* Added Ashen Hallow (Venthyr) to Cast Success.
* Added all four Seasonal Blessings (Night Fae) to Cast Success.

Priest
* Added Boon of the Ascended (Kyrian) to Cast Success.

Warrior
* Added Ancient Aftershock (Night Fae) to Cast Success.

===========================================
- version SLB 2 (9.0)
***THIS IS A WORK IN PROGRESS BETA BUILD. EXPECT (BUT PLEASE REPORT) PROBLEMS***

NOTE: This version is a spell library update, and does not yet include sounds for the new abilities listed below.

General
* Added a Covenant ability section to all ability types.
* Added all Covenant Signature abilities to their relevant sections.
* Fixed several outdated spellIDs for existing spells. I'm sure there's more. Let me know. :)
* Removed more invalid spellIDs.


Death Knight
* Added Abomination's Limb (Necrolord) to Buff Applied/Down.
* Added Lichborne to Buff Applied/Down.
* Added Sacrificial Pact to Cast Success.
* Added Transfusion to Buff Applied/Down.
* Added Raise Abomination to Cast Success.
* Added missing option for Anti-Magic Zone.


Demon Hunter
* Added Sinful Brand (Venthyr) to Cast Success.
* Added Elysian Decree (Kyrian) to Cast Success.
* Added The Hunt to (Nightfae) to Cast Success.
* LOL y'all getting screwed this expansion, aren't you?


Druid
* Added Convoke the Spirits (Nightfae) to Cast Success.
* Added Ravenous Frenzy (Venthyr) to Aura Applied/Down.
* Added Adaptive Swarm (Necrolord) to Cast Success.
* Added Heart of the Wild to Buff Applied/Down.


Hunter
* Added Death Chakram (Necrolord) to Cast Success.
* Added Resonating Shot (Kyrian) to Cast Success.
* Added Tranquilizing Shot to the Purge alert.
* Added Hunter's Mark to Cast Success.
* Added Scare Beast to Spell Casting & "Success" alerts.
* Moved Intimidation from Aura Applied to Cast Success.


Mage
* Added Alter Time to Buff Applied/Down.
* Added Mirror Images to Cast Success.
* Added Mirrors of Torment (Venthyr) to Spell Casting.
* Added Deathborne (Necrolord) to Aura Applied/Down.


Monk
* Added Invoke Yu'lon, the Jade Serpent to Cast Success.
* "Fistweaving" alert now applies to Invoke Chi-Ji, the Red Crane.


Paladin
* Added Turn Evil to Spell Casting.
* Added Execution Sentence to Cast Success.
* Added Seraphim to Cast Success.
* Removed Holy Wrath (been gone for a while, lol).
* (Paladin Covenant abilities did not seem like they had enough reactive gameplay involved to justify alerts. Might add them in the future.)


Priest
* Added Fae Guardians (Nightfae) to Cast Success.
* Added Mind Games (Venthyr) to Cast Success.
* Added Boon of the Ascended (Kyrian) to Cast Start.
* Added Power Infusion to Buff Applied.
* Added Spirit Shell to the Rapture alert.
* Added Thoughtsteal to Cast Success.
* Shadow Word: Death now uses the Premonition alert since its CC break effect is preserved. Might change later.


Rogue
* Added Sepsis (Nightfae) to Cast Success.
* Added Dreadblades to Aura Applied/Down.
* Added Crimson Vial to Cast Success.


Shaman
* Added Mana Tide Totem to Cast Success.
* Added Vesper Totem (Kyrian) to Cast Success.


Warlock
* Added Howl of Terror to Cast Success.
* Added Scouring Tithe (Kyrian) to Cast Success.


Localization
* New strings:
    L["CovenantAbilities"]
    L["FrostDK"]
    L["BloodDK"]
    L["UnholyDK"]
    L["HavocDH"]
    L["VengeanceDH"]
    L["FeralDR"]
    L["BalanceDR"]
    L["RestorationDR"]
    L["GuardianDR"]
    L["MarksmanshipHN"]
    L["SurvivalHN"]
    L["BeastMasteryHN"]
    L["FrostMG"]
    L["FireMG"]
    L["ArcaneMG"]
    L["MistweaverMN"]
    L["WindwalkerMN"]
    L["BrewmasterMN"]
    L["HolyPD"]
    L["RetributionPD"]
    L["ProtectionPD"]
    L["HolyPR"]
    L["DisciplinePR"]
    L["ShadowPR"]
    L["OutlawRG"]
    L["AssassinationRG"]
    L["SubtletyRG"]
    L["RestorationSH"]
    L["EnhancementSH"]
    L["ElementalSH"]
    L["DestructionWL"]
    L["DemonologyWL"]
    L["AfflictionWL"]
    L["ArmsWR"]
    L["FuryWR"]
    L["ProtectionWR"]

===========================================
- version SLB 1 (9.0)
***THIS IS A WORK IN PROGRESS BETA BUILD. EXPECT (BUT PLEASE REPORT) PROBLEMS***

General
* Updated Ace3 to fix SetBackdrop problems.
* Removed invalid spell IDs.